List Subscriptions
curl --request GET \
--url https://mapi.zbx.boomfi.xyz/v1/subscriptions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/subscriptions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.boomfi.xyz/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"cancel_at_period_end": true,
"created_at": "<string>",
"currency": "<string>",
"customer": {
"created_at": "<string>",
"deleted_at": "<string>",
"email": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"phone": "<string>",
"properties": {},
"reference": "<string>",
"updated_at": "<string>",
"wallet_address": "<string>"
},
"customer_id": "<string>",
"id": "<string>",
"is_overdue": true,
"items": [
{
"created_at": "<string>",
"id": "<string>",
"plan": {
"available_quantity": 123,
"created_at": "<string>",
"created_by": "<string>",
"currency": "<string>",
"deleted_at": "<string>",
"enabled": true,
"expires_at": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"price": "<string>",
"properties": {},
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"updated_at": "<string>"
},
"plan_id": "<string>",
"properties": {},
"subscription_id": "<string>",
"updated_at": "<string>",
"v1": "<unknown>"
}
],
"metadata": {},
"org_id": "<string>",
"properties": {},
"reference": "<string>",
"start_at": "<string>",
"updated_at": "<string>",
"v1": "<unknown>"
}
],
"last_update": "2021-01-01T00:00:00.000Z",
"next": 10,
"total": 10
},
"error": true
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Subscriptions
List Subscriptions
List subscriptions with optional status and customer filters
GET
/
subscriptions
List Subscriptions
Authorizations
Query Parameters
Filter by customer display ID (cus_...).
Page size. Defaults to 100. Minimum 1, maximum 100.
Required range:
1 <= x <= 100Page number (1-based). Defaults to 1.
Required range:
x >= 1Inclusive lower bound on created_at (RFC3339). When set, results are sorted by created_at.
Sort direction for the primary list key (created_at when since/until are set, otherwise id). Defaults to desc.
Available options:
asc, desc Filter by subscription status.
Available options:
Unknown, Pending, Future, InTrial, Active, Paused, Expired, Canceled Inclusive upper bound on created_at (RFC3339). When set, results are sorted by created_at.
⌘I